List my push devices
import requests
url = "https://platform.ankra.app/api/v1/org/notifications/push-devices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/notifications/push-devices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/notifications/push-devices \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform": "ios",
"apns_environment": "<string>",
"device_name": "<string>",
"app_version": "<string>",
"os_version": "<string>",
"token_suffix": "<string>",
"enabled": true,
"disabled_reason": "<string>",
"last_seen_at": "2023-11-07T05:31:56Z",
"last_delivered_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}Notifications
List my push devices
Lists the mobile devices registered for the caller’s push notifications.
GET
/
api
/
v1
/
org
/
notifications
/
push-devices
List my push devices
import requests
url = "https://platform.ankra.app/api/v1/org/notifications/push-devices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/notifications/push-devices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/notifications/push-devices \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform": "ios",
"apns_environment": "<string>",
"device_name": "<string>",
"app_version": "<string>",
"os_version": "<string>",
"token_suffix": "<string>",
"enabled": true,
"disabled_reason": "<string>",
"last_seen_at": "2023-11-07T05:31:56Z",
"last_delivered_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}